XScreenSaver(1)

NAME
imsmap - generate fractal maps

SYNOPSIS
imsmap [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors int] [-delay seconds] [-iterations int] [-mode h|s|v|random] [-cycle] [-no-cycle]

DESCRIPTION
The imsmap program generates map or cloud-like patterns. It looks quite different in monochrome and color.

OPTIONS
imsmap accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors to use. Default 50.

-delay integer
    How long to delay between images. Default 10 seconds.

-iterations integer
    A measure of the resolution of the resultant image, from 0 to 7. Default 7.

-mode [ hue | saturation | value | random ]
    The axis upon which colors should be interpolated between the foreground and background color. Default random.

-cycle

-no-cycle
    Whether to do colormap cycling. Default is to cycle.

-cycle-delay
    Number of microseconds between shifts of the colormap; default 100000, or 1/10th second.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

AUTHOR
Juergen Nickelsen <nickel@cs.tu-berlin.de>, 23-aug-92. Hacked on by Jamie Zawinski <jwz@jwz.org>, 24-aug-92, 17-May-97.